> For the complete documentation index, see [llms.txt](https://shoppa.gitbook.io/knowledge-hub/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://shoppa.gitbook.io/knowledge-hub/api-documentation/images.md).

# Images

## Uploading Images

Uploading images to Shoppa's central database can be done in two ways. Either the image is uploaded by itself or the image is uploaded with an URI in the Mediablob.xml.

### [Image upload via REST](/knowledge-hub/api-documentation/endpoints/xml.md#upload-images)

### [Image upload via SOAP](/knowledge-hub/api-documentation/endpoints/soap/pictures.md)

### [Image upload as URI via Mediablob.xml](/knowledge-hub/api-documentation/xml-structure/product.md#reference-a-picture-with-a-public-uri)

## Image compression

To optimize speed of the whole workflow from creating templates to printing in the stores, Shoppa automatically reduces image sizes if needed. Images larger than *2025 x 2025* pixels or 1 MB are compressed when imported to Shoppa's central database.

{% hint style="info" %}
With the add-on "Bigger Pictures" you can import images up to 4000x4000 pixels or 3MB.\
Contact Shoppa for more information on how to enable it.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://shoppa.gitbook.io/knowledge-hub/api-documentation/images.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
